<app-search></app-search>
<!--/ Nav Star /-->
<nav *ngIf=" clientNavBar() === true "  class="navbar navbar-default navbar-trans navbar-expand-lg fixed-top">
    <div class="container">
       <button class="navbar-toggler collapsed" type="button" data-toggle="collapse" data-target="#navbarDefault" aria-controls="navbarDefault" aria-expanded="false" aria-label="Toggle navigation">
        <span></span>
        <span></span>
        <span></span>
      </button> 
        <a class="navbar-brand text-brand" href="#section0" >Oui<span class="color-b">Share</span></a>

    <!--   <button type="button" class="btn btn-link nav-search navbar-toggle-box-collapse d-md-none" data-toggle="collapse" data-target="#navbarTogglerDemo01" aria-expanded="false">
        <span class="fa fa-search" aria-hidden="true"></span>
      </button> --> 
        <div class="navbar-collapse collapse justify-content-center" id="navbarDefault">
            <ul class="navbar-nav">
                
                <li class="nav-item" >
                  <a class="nav-link" href="#section1">Concept</a>
              </li>
                <li  class="nav-item" >
                    <a class="nav-link" href="#section2">Objets</a>
                </li>
                <li class="nav-item" >
                    <a class="nav-link" href="#section3">Partenaires</a>
                </li>
                
                <!--          <li class="nav-item dropdown">
            <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown"
              aria-haspopup="true" aria-expanded="false">
              Contact
            </a>
            <div class="dropdown-menu" aria-labelledby="navbarDropdown">
              <a class="dropdown-item" href="property-single.html">Property Single</a>
              <a class="dropdown-item" href="blog-single.html">Blog Single</a>
              <a class="dropdown-item" href="agents-grid.html">Agents Grid</a>
              <a class="dropdown-item" href="agent-single.html">Agent Single</a>
            </div>
          </li> -->
                <li class="nav-item" >
                    <a class="nav-link" href="#section4" >Contact</a>
                </li>
                <li *ngIf="isLogged==null" class="nav-item" >
                  <a class="nav-link" routerLink="/login" class="nav-link d-md-none" >Se connecter</a>
                </li>
                <li *ngIf="isLogged==null" class="nav-item">
                  <a class="nav-link" routerLink="/register" class="nav-link d-md-none" >S'inscrire</a>
                </li>
                <li *ngIf="isLogged=='true'" class="nav-item">
                  <a class="nav-link" routerLink="/client/connected-devices" class="nav-link  d-md-none" >Mon profil</a>
                </li>
                <li *ngIf="isLogged=='true'" class="nav-item">
                  <a class="nav-link" (click)="onDisconnect()" class="nav-link  d-md-none" >Se déconnecter</a>
                </li>
                <li *ngIf="isLogged==null" class="nav-item">
                  
                    <button type="submit" name="" class="btn btn-b-n d-none d-md-block" (click)="onLogin()">Se connecter</button>
                
                </li>
                <li *ngIf="isLogged==null" class="nav-item">
                  
                    <button type="submit" name="" class="btn btn-b-n d-none d-md-block" (click)="onRegister()" >S'inscrire</button>
                
                </li>
                <li *ngIf="isLogged=='true'" class="nav-item">
                  
                    <button type="submit" name="" class="btn btn-b-n  d-none d-md-block" (click)="onClient()">Mon profil</button>
                
                </li>
                <li *ngIf="isLogged=='true'" class="nav-item">
                  
                    <button type="submit" name="" class="btn btn-b-n d-none d-md-block" (click)="onDisconnect()">Se déconnecter</button>
                
                </li>
                <li class="nav-item">
              <!--    <button type="button" class="btn btn-b-n navbar-toggle-box-collapse d-none d-md-block" data-toggle="collapse" data-target="#navbarTogglerDemo01" aria-expanded="false">
                    <span class="fa fa-search" aria-hidden="true"></span>
                  </button> -->

                </li>
            </ul>
        </div>
        
    </div>
</nav>
<!--/ Nav End /-->

<!--/ Nav Star /-->
<nav *ngIf=" clientNavBar() === false "  class="navbar navbar-default navbar-trans navbar-expand-lg fixed-top">
  <div class="container">
      <button class="navbar-toggler collapsed" type="button" data-toggle="collapse" data-target="#navbarDefault" aria-controls="navbarDefault" aria-expanded="false" aria-label="Toggle navigation">
      <span></span>
      <span></span>
      <span></span>
    </button> 
      <a class="navbar-brand text-brand" routerLink="/" >Oui<span class="color-b">Share</span></a>

    <!-- <button type="button" class="btn btn-link nav-search navbar-toggle-box-collapse d-md-none" data-toggle="collapse" data-target="#navbarTogglerDemo01" aria-expanded="false">
      <span class="fa fa-search" aria-hidden="true"></span>
    </button> --> 
      <div class="navbar-collapse collapse justify-content-center" id="navbarDefault">
          <ul class="navbar-nav">
              
              <li class="nav-item" >
                <a class="nav-link" routerLink="/client/connected-devices">Objet</a>
            </li>
            <li class="nav-item" >
              <a class="nav-link" >Mon utilisation</a>
          </li>
              <li class="nav-item" >
                  <a class="nav-link" routerLink="/">La vie de mon casier</a>
              </li>
              
              <!--          <li class="nav-item dropdown">
          <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown"
            aria-haspopup="true" aria-expanded="false">
            Contact
          </a>
          <div class="dropdown-menu" aria-labelledby="navbarDropdown">
            <a class="dropdown-item" href="property-single.html">Property Single</a>
            <a class="dropdown-item" href="blog-single.html">Blog Single</a>
            <a class="dropdown-item" href="agents-grid.html">Agents Grid</a>
            <a class="dropdown-item" href="agent-single.html">Agent Single</a>
          </div>
        </li> -->
              <li class="nav-item">
                  <a class="nav-link" routerLink="/contact" >Contact</a>
              </li>
              
              <li  class="nav-item">
                <a class="nav-link" routerLink="/client" class="nav-link d-md-none" >Mon profil</a>
              </li>
              <li  class="nav-item">
                <a class="nav-link" (click)="onDisconnect()"  class="nav-link  d-md-none" >Se déconnecter</a>
              </li>
              
              <li  class="nav-item">
               
                  <button type="submit" name="" class="btn btn-b-n  d-none d-md-block" (click)="onClient()">Mon profil</button>
              
              </li>
              <li class="nav-item">
                <form (ngSubmit)="onDisconnect()" class="form-inline">
                  <button type="submit" name="" class="btn btn-b-n  d-none d-md-block" (click)="onDisconnect()">Se déconnecter</button>
              </form>
              </li>
              <li class="nav-item">
             <!--   <button type="button" class="btn btn-b-n navbar-toggle-box-collapse d-none d-md-block" data-toggle="collapse" data-target="#navbarTogglerDemo01" aria-expanded="false">
                  <span class="fa fa-search" aria-hidden="true"></span>
                </button> -->

              </li>
          </ul>
      </div>
      
  </div>
</nav>
<!--/ Nav End /-->

<!--/ Nav Star /-->
<nav *ngIf="isLoggedAdmin === 'true' && this.router.url === '/admin/.' || this.router.url === '/rental/.' "  class="navbar navbar-default navbar-trans navbar-expand-lg fixed-top">
  <div class="container">
      <button class="navbar-toggler collapsed" type="button" data-toggle="collapse" data-target="#navbarDefault" aria-controls="navbarDefault" aria-expanded="false" aria-label="Toggle navigation">
      <span></span>
      <span></span>
      <span></span>
    </button> 
      <a class="navbar-brand text-brand" routerLink="/" >Oui<span class="color-b">Share</span></a>

    <!-- <button type="button" class="btn btn-link nav-search navbar-toggle-box-collapse d-md-none" data-toggle="collapse" data-target="#navbarTogglerDemo01" aria-expanded="false">
      <span class="fa fa-search" aria-hidden="true"></span>
    </button> --> 
      <div class="navbar-collapse collapse justify-content-center" id="navbarDefault">
          <ul class="navbar-nav">

              <li  class="nav-item" style="text-align: center;" >
                  <a class="nav-link" routerLink="/use">Ajouter un Casier</a>
              </li>
              <li class="nav-item" style="text-align: center;" >
                  <a class="nav-link" routerLink="/">Liste des Casiers</a>
              </li>
              <li class="nav-item" style="text-align: center;" >
                <a class="nav-link" routerLink="/">Ajouter un Appareil</a>
            </li>
            <li class="nav-item" style="text-align: center;">
              <a class="nav-link" routerLink="/">Liste des Appareils</a>
          </li>
              
              <!--          <li class="nav-item dropdown">
          <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown"
            aria-haspopup="true" aria-expanded="false">
            Contact
          </a>
          <div class="dropdown-menu" aria-labelledby="navbarDropdown">
            <a class="dropdown-item" href="property-single.html">Property Single</a>
            <a class="dropdown-item" href="blog-single.html">Blog Single</a>
            <a class="dropdown-item" href="agents-grid.html">Agents Grid</a>
            <a class="dropdown-item" href="agent-single.html">Agent Single</a>
          </div>
        </li> -->
              
              <li  class="nav-item">
                <a class="nav-link" routerLink="/client" class="nav-link d-md-none" >Mon profil</a>
              </li>
              <li  class="nav-item">
                <a class="nav-link"  class="nav-link  d-md-none" >Se déconnecter</a>
              </li>
              
              <li  class="nav-item">
               
                  <button type="submit" name="" class="btn btn-b-n  d-none d-md-block" (click)="onClient()">Mon profil</button>
              
              </li>
              <li class="nav-item">
                <form (ngSubmit)="onDisconnect()" class="form-inline">
                  <button type="submit" name="" class="btn btn-b-n  d-none d-md-block" (click)="onDisconnect()">Se déconnecter</button>
              </form>
              </li>
              <li class="nav-item">
             <!--   <button type="button" class="btn btn-b-n navbar-toggle-box-collapse d-none d-md-block" data-toggle="collapse" data-target="#navbarTogglerDemo01" aria-expanded="false">
                  <span class="fa fa-search" aria-hidden="true"></span>
                </button> -->

              </li>
          </ul>
      </div>
      
  </div>
</nav>
<!--/ Nav End /-->